'use strict';

module.exports = {
  generate: {
    assets: function assets(_, __) {
      return require('./generate/assets')(_, __);
    },
    browserconfig: function browserconfig(_) {
      return require('./generate/browserconfig')(_);
    },
    crossdomain: function crossdomain(_) {
      return require('./generate/crossdomain')(_);
    },
    html: function html(_, __, ___) {
      var ____ = arguments.length > 3 && arguments[3] !== undefined ? arguments[3] : false;

      return require('./generate/html')(_, __, ___, ____);
    },
    humans: function humans(_) {
      return require('./generate/humans')(_);
    },
    sitemap: function sitemap(_) {
      return require('./generate/sitemap')(_);
    },
    htaccess: function htaccess(_) {
      return require('./generate/htaccess')(_);
    }
  },
  task: function task(_, __) {
    for (var _len = arguments.length, ___ = Array(_len > 2 ? _len - 2 : 0), _key = 2; _key < _len; _key++) {
      ___[_key - 2] = arguments[_key];
    }

    return require('./task').apply(undefined, [_, __].concat(___));
  },
  variables: function variables(_) {
    return require('./variables')(_);
  }

  /**
                ▄▛▀▀▀▀▀▜▛▀▀██▀▀▀▀▘▄▄▄▖
              ▗▞▘  ▗ ▚▖              ▝▀▙▖
              ▛  ▖ ▖▘ ▘   ▝      ▀▀▀ ▖  ▝▙
             ▟▘   ▘ ▗▄▄▄▄▄▖     ▌    ▝   █
           ▄▜▘     ▐▙███▙▄▝▙   ▄▄████▌    ▜▄
          ▟▘ ▄▀▀▀▚▄▄▄▄▞▘  ▀▘   ▝▛     ▄▄▄▘ ▐▖
         ▐▌ ▐▘ ▟▙▄       ▖▄▖    ▜▄ ▝▀▀▘▖   █▌
         ▝▌▗▝▌▀▜▖ ▀▜▄▄▖  ▐▖▄▄▖   ▟▀ ▖ ▗█ ▗▖▟
          ▝▙▘   ▜█▄▟▙ ▀▀▜▄▄▄▖ ▝▀▀  ▗▄▟▛█▌ ▟▘
           ▝▚▖   ▜▖▜▛█▙▄▟▘  ▝█▀▀█▀▀▜▌▐▙█▌ █
             ▜▖   ▀█▘  ▀▛▜██████████████▌ █
              ▜▖    ▀▙▖▐▘   ▜▀▀▀█▀▜▛▜▛█▟  █
               ▝▙▞ ▞ ▖▝▀▚▄▄▄▟  ▗▌ ▟▄█▄▞▘  █
                 ▝▀▄▞ ▗▘ ▖    ▜██▖    ▖   █
                    ▝▀▙▄ ▘ ▝▜▛      ▝  ▖▘ ▐
                        ▀▜▄▄             ▗▛
                            ▀▀▀▚▄▄▄▄▄▄▄▄▀▘
  */

};