'use strict';

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactHelmet = require('react-helmet');

var _reactHelmet2 = _interopRequireDefault(_reactHelmet);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

// Boiler Plate Reduction for the i18n
module.exports = function (config) {
  var titleDefault = '' + (typeof config.title !== 'undefined' ? typeof config.title.default !== 'undefined' ? config.title.default : '' : '');
  var titlePrefix = '' + (typeof config.title !== 'undefined' ? typeof config.title.prefix !== 'undefined' ? config.title.prefix : '' : '');
  var titleSuffix = '' + (typeof config.title !== 'undefined' ? typeof config.title.suffix !== 'undefined' ? config.title.suffix : '' : '');
  var author = '' + (typeof config.author !== 'undefined' ? config.author : '');

  return _react2.default.createElement(
    _reactHelmet2.default,
    { titleTemplate: titlePrefix + '%s' + titleSuffix, defaultTitle: titleDefault },
    _react2.default.createElement('meta', { name: 'author', content: author })
  );
};