'use strict';

// Chunked intl polyfill for browsers without Intl support
module.exports = function (window, locales, render, imports) {
  if (!window.Intl) {
    new Promise(function (resolve, error) {
      resolve(System.import('intl'));
    }).then(function () {
      console.log("pp");
      Promise.all([require('intl/locale-data/jsonp/en.js'), require('intl/locale-data/jsonp/de.js')]);
    }).then(function () {
      console.log("Render");
      render(locales.translationMessages());
    }).catch(function (err) {
      throw err;
    });
  } else {
    render(locales.translationMessages());
  }
};